<!doctype html>
<html>
    <head>
        <title>Multidimensional Array</title>
        <h1>Multidimensional Array</h1>
        <style type="text/css">
        body
            {
                background-color: #7FFF00;
                }
                .center {
                    display: block;
                    margin-left: auto;
                    margin-right: auto;
                    width:25% ;
                }
                h1 {text-align: center;}
                h2 {text-align: center;}
                th {text-align: center;}
                tr {text-align: center;}
                </style>
                <img src="Lee_picture.jpg" alt= "Lee Hueckstaedt" class="center">
        
    </head>
    <body>
<?php

// Define the multidimensional arrays for each country
$mexico = array(
    array("Abbreviation" => "YU", "State" => "Yucatan"),
    array("Abbreviation" => "BC", "State" => "Baja California"),
    array("Abbreviation" => "OA", "State" => "Oaxaca")
);

$united_states = array(
    array("Abbreviation" => "MD", "State" => "Maryland"),
    array("Abbreviation" => "IL", "State" => "Illinois"),
    array("Abbreviation" => "PA", "State" => "Pennsylvania"),
    array("Abbreviation" => "IA", "State" => "Iowa")
);

$canada = array(
    array("Abbreviation" => "QC", "State" => "Quebec"),
    array("Abbreviation" => "AB", "State" => "Alberta"),
    array("Abbreviation" => "NT", "State" => "Northwest Territories"),
    array("Abbreviation" => "YT", "State" => "Yukon")
);

// Combine the three arrays into a single multidimensional array
$north_america = array(
    "Mexico" => $mexico,
    "United States" => $united_states,
    "Canada" => $canada
);

// Function to display the array in a formatted way
function displayArray($array) {
    echo "<style>
            .center {
                display: flex;
                justify-content: center;
                margin: 20px 0;
            }
            table {
                border-collapse: collapse;
                width: 50%;
            }
            th, td {
                border: 1px solid black;
                padding: 8px;
                text-align: center;
            }
            th {
                background-color: #f2f2f2;
            }
          </style>";
    foreach ($array as $country => $states) {
        echo "<h2>$country</h2>";
        echo "<table border='1'>";
        echo "<tr><th>Abbreviation</th><th>State</th></tr>";
        foreach ($states as $state) {
            echo "<tr>";
            foreach ($state as $key => $value) {
                echo "<td>" . $value . "</td>";
            }
            echo "</tr>";
        }
        echo "</table>";
    }
}

// Call the function to display the array
displayArray($north_america);
?>
        
    </body>
</html>